# SPEC and source package imported from Fedora:
# http://mirror.kolabsys.com/pub/fedora/apt-utils/f16/SRPMS/
Name:           debhelper
Version:        13.20
Release:        %mkrel 1
Summary:        Helper programs for Debian rules

Group:          System/Packaging
License:        GPLv2+
URL:            https://packages.debian.org/sid/debhelper
Source0:        https://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.xz
Patch0:         debhelper-11.4-no-utf8-to-pod2man.patch
BuildArch:      noarch

BuildRequires:  po4a
BuildRequires:  dpkg-dev
BuildRequires:  dpkg
BuildRequires:  perl(Dpkg::Arch)

Requires:       binutils
Requires:       html2text
Requires:       perl
Requires:       po-debconf
Requires:       dpkg >= 1.18.0
Requires:       dpkg-dev >= 1.18.2
Requires:       dpkg-perl >= 1.17.14

%description
A collection of programs that can be used in a Debian rules file
to automate common tasks related to building Debian packages.
Programs are included to install various files into your package,
compress files, fix file permissions, integrate your package with
the Debian menu system, debconf, doc-base, etc. Most Debian
packages use debhelper as part of their build process.

%prep
%autosetup -p1 -n work

%build
%__make build

%install
%make_install

mkdir -p \
            %{buildroot}%{_mandir}/{,de,es,fr,ja,pt}/man{1,7}/

for lang in de es fr ja pt; do
    for level in 1 7; do
        mv ./*.$lang.$level %{buildroot}%{_mandir}/$lang/man$level/ || :
    done
done

install -m 644 ./*.1 %{buildroot}%{_mandir}/man1
install -m 644 ./*.7 %{buildroot}%{_mandir}/man7

# Seems man7 es pages are missing copying english ones instead
cp -a %{buildroot}%{_mandir}/man7/* %{buildroot}%{_mandir}/es/man7

%find_lang debhelper --all-name --with-man

%files -f debhelper.lang
%doc examples/ doc/
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_bindir}/dh*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/autoscripts
%dir %{perl_vendorlib}/Debian
%{perl_vendorlib}/Debian/Debhelper



%changelog
* Fri Sep 06 2024 daviddavid <daviddavid> 13.20-1.mga10
+ Revision: 2093316
- new version: 13.20

* Sun Feb 12 2023 mrambo3501 <mrambo3501> 13.11.4-1.mga9
+ Revision: 1940943
- version 13.11.4

* Wed Mar 30 2022 umeabot <umeabot> 13.5.2-2.mga9
+ Revision: 1834849
- Mageia 9 Mass Rebuild

* Sat Dec 18 2021 wally <wally> 13.5.2-1.mga9
+ Revision: 1762491
- new version 13.5.2

* Mon Aug 10 2020 bcornec <bcornec> 13.2-1.mga8
+ Revision: 1612891
- Update to upstream 13.2 and fix build
+ daviddavid <daviddavid>
- now need dpkg-dev dependency to build

* Wed Feb 19 2020 umeabot <umeabot> 12.7.3-2.mga8
+ Revision: 1542737
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 shlomif <shlomif> 12.7.3-1.mga8
+ Revision: 1476926
- New version 12.7.3

* Mon Dec 09 2019 shlomif <shlomif> 12.7.1-1.mga8
+ Revision: 1465339
- New version 12.7.1

* Mon Apr 15 2019 daviddavid <daviddavid> 12.1.1-1.mga7
+ Revision: 1390601
- new version: 12.1.1

* Fri Sep 21 2018 daviddavid <daviddavid> 11.4-1.mga7
+ Revision: 1295058
- new version: 11.4
- rename and rediff no-utf8-to-pod2man patch
- add some more available manpages

* Thu Sep 20 2018 umeabot <umeabot> 10.10.3-2.mga7
+ Revision: 1277868
- Mageia 7 Mass Rebuild

* Tue Oct 24 2017 shlomif <shlomif> 10.10.3-1.mga7
+ Revision: 1173303
- New version 10.10.3

* Sat Jun 18 2016 pterjan <pterjan> 9.20160403-2.mga6
+ Revision: 1022112
- Rebuild for perl 5.22.2

* Mon Apr 25 2016 shlomif <shlomif> 9.20160403-1.mga6
+ Revision: 1006152
- New version - thanks to Gentoo

* Wed Feb 10 2016 shlomif <shlomif> 9.20160115-1.mga6
+ Revision: 953328
- New version

* Thu Sep 10 2015 shlomif <shlomif> 9.20150811-1.mga6
+ Revision: 875497
- New version 9.20150811

* Wed Oct 15 2014 umeabot <umeabot> 9.20140228-4.mga5
+ Revision: 738807
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 9.20140228-3.mga5
+ Revision: 725040
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 9.20140228-2.mga5
+ Revision: 678703
- Mageia 5 Mass Rebuild

* Wed May 21 2014 shlomif <shlomif> 9.20140228-1.mga5
+ Revision: 624644
- New version 9.20140228

* Tue Oct 22 2013 umeabot <umeabot> 9.20120909-5.mga4
+ Revision: 545839
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 9.20120909-4.mga4
+ Revision: 501909
- sync patches with fedora to fix build errors
- stop using deprecated find syntax

* Tue Jan 22 2013 fwang <fwang> 9.20120909-3.mga3
+ Revision: 390739
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 9.20120909-2.mga3
+ Revision: 348714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 shlomif <shlomif> 9.20120909-1.mga3
+ Revision: 300668
- New version 9.20120909

* Sat Aug 25 2012 shlomif <shlomif> 9.20120608-2.mga3
+ Revision: 283855
- Fix requires
- Fix requires

* Sat Aug 25 2012 shlomif <shlomif> 9.20120608-1.mga3
+ Revision: 283818
- Imported from Fedora with some downstream changes


* Mon Mar 26 2012 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 9.20120322
- New version

* Wed Sep 29 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-4
- Fix locale

* Fri Aug 13 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-3
- Fix description

* Thu May 13 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.4.20-2
- Include es/fr man pages
- Update to newer version from Debian Sid
- Fix package requirements

* Tue May 11 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 7.0.15-1
- First package
